import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lanres/entities/%DE_PKGPATH%/%DE_PKGPATH%_en_US_base.ts.ftl 生成
function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createman: commonLogic.appcommonhandle("建立人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		ibizappeditorname: commonLogic.appcommonhandle("编辑器名称",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizappeditorid: commonLogic.appcommonhandle("编辑器标识",null),
		ibizappeditortype: commonLogic.appcommonhandle("编辑器类型",null),
		rditordescription: commonLogic.appcommonhandle("编辑器描述",null),
		documentaddress: commonLogic.appcommonhandle("文档地址",null),
		amount: commonLogic.appcommonhandle("数量",null),
	},
		views: {
			listview: {
				caption: commonLogic.appcommonhandle("编辑器",null),
				title: commonLogic.appcommonhandle("编辑器列表视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("编辑器",null),
				title: commonLogic.appcommonhandle("编辑器表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("编辑器",null),
				title: commonLogic.appcommonhandle("编辑器编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("编辑器基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("编辑器标识",null), 
				srfmajortext: commonLogic.appcommonhandle("编辑器名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizappeditorid: commonLogic.appcommonhandle("编辑器标识",null), 
				amount: commonLogic.appcommonhandle("数量",null), 
				ibizappeditorname: commonLogic.appcommonhandle("编辑器名称",null), 
				ibizappeditortype: commonLogic.appcommonhandle("编辑器类型",null), 
				documentaddress: commonLogic.appcommonhandle("文档地址",null), 
				rditordescription: commonLogic.appcommonhandle("编辑器描述",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizappeditorname: commonLogic.appcommonhandle("编辑器名称",null),
				ibizappeditortype: commonLogic.appcommonhandle("编辑器类型",null),
				documentaddress: commonLogic.appcommonhandle("文档地址",null),
				rditordescription: commonLogic.appcommonhandle("编辑器描述",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		editorlist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizappeditor_opendocument: commonLogic.appcommonhandle("打开文档",null),
			},
		},
		editoramount_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		editorchart_chart: {
			nodata:commonLogic.appcommonhandle("",null),
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
			},
			uiactions: {
			},
		},
		listviewtoolbar_toolbar: {
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;